/*
****************************************************************************
****************************************************************************
**                                                                        **
**                                                                        **
**                XXXX     X    X         X XXXXXX X                      **
**               X    X   X X   X    X    X X      X   X                  **
**               X       X   X  X   X X   X X      X  X                   **
**               X   XX XXXXXXX X  X   X  X XXXX   X X                    **
**               X    X X     X X X     X X X      XX                     **
**               X    X X     X XX       XX X      X                      **
**                XXXX  X     X X         X XXXXXX XXXXXX                 **
**                                                                        **
**                           BIAYSTOK 2018                               **
**                                                                        **
**                         Home Control System                            **
**                                                                        **
**                            HC_KeyCodes                                 **
**                      Wersja z dnia : 2018.01.13                        **
**                     Napisal : Andrzej Pawluczuk                        **
**                                                                        **
****************************************************************************
****************************************************************************

Przed #include "..\common\hc_keycodes.h"
naley zdefiniowa wariant:

_KeySmall_              - klawaitura maa (1 przycisk)
_KeyStandard_           - klawaitura standardowa (6 przyciskw)
_KeyExtend_             - klawiatura rozszerzona (8 przyciskw)

*/

#ifndef _HC_KEYCODES_
#define _HC_KEYCODES_

#include <inttypes.h>
#include <avr/pgmspace.h>

#define NoneKeyCode                    0x00
#define StandKey0Code                  0x10
#define StandKey1Code                  0x11
#define StandKey2Code                  0x12
#define StandKey3Code                  0x13
#define StandKey4Code                  0x14
#define StandKey5Code                  0x15
#define StandKey6Code                  0x16
#define StandKey7Code                  0x17
#define StandKey01Code                 0x18
#define StandKey02Code                 0x19
#define StandKey03Code                 0x1A
#define StandKey04Code                 0x1B
#define StandKey05Code                 0x1C
#define StandKey06Code                 0x1D
#define StandKey07Code                 0x1E
#define StandKey12Code                 0x1F
#define StandKey13Code                 0x20
#define StandKey14Code                 0x21
#define StandKey15Code                 0x22
#define StandKey16Code                 0x23
#define StandKey17Code                 0x24
#define StandKey23Code                 0x25
#define StandKey24Code                 0x26
#define StandKey25Code                 0x27
#define StandKey26Code                 0x28
#define StandKey27Code                 0x29
#define StandKey34Code                 0x2A
#define StandKey35Code                 0x2B
#define StandKey36Code                 0x2C
#define StandKey37Code                 0x2D
#define StandKey45Code                 0x2E
#define StandKey46Code                 0x2F
#define StandKey47Code                 0x30
#define StandKey56Code                 0x31
#define StandKey57Code                 0x32
#define StandKey67Code                 0x33
#define LongKey0Code                   0x40
#define LongKey1Code                   0x41
#define LongKey2Code                   0x42
#define LongKey3Code                   0x43
#define LongKey4Code                   0x44
#define LongKey5Code                   0x45
#define LongKey6Code                   0x46
#define LongKey7Code                   0x47
#define LongKey01Code                  0x48
#define LongKey02Code                  0x49
#define LongKey03Code                  0x4A
#define LongKey04Code                  0x4B
#define LongKey05Code                  0x4C
#define LongKey06Code                  0x4D
#define LongKey07Code                  0x4E
#define LongKey12Code                  0x4F
#define LongKey13Code                  0x50
#define LongKey14Code                  0x51
#define LongKey15Code                  0x52
#define LongKey16Code                  0x53
#define LongKey17Code                  0x54
#define LongKey23Code                  0x55
#define LongKey24Code                  0x56
#define LongKey25Code                  0x57
#define LongKey26Code                  0x58
#define LongKey27Code                  0x59
#define LongKey34Code                  0x5A
#define LongKey35Code                  0x5B
#define LongKey36Code                  0x5C
#define LongKey37Code                  0x5D
#define LongKey45Code                  0x5E
#define LongKey46Code                  0x5F
#define LongKey47Code                  0x60
#define LongKey56Code                  0x61
#define LongKey57Code                  0x62
#define LongKey67Code                  0x63

#if defined(_KeySmall_) || defined(_KeyStandard_) || defined(_KeyExtend_)
static uint8_t StandKey0CodeName [ ] PROGMEM         = "SK0" ;
static uint8_t LongKey0CodeName [ ] PROGMEM          = "LK0" ;
#endif

#if defined(_KeyStandard_) || defined(_KeyExtend_)
static uint8_t NoneKeyCodeName [ ] PROGMEM           = "NONE" ;
static uint8_t StandKey1CodeName [ ] PROGMEM         = "SK1" ;
static uint8_t StandKey2CodeName [ ] PROGMEM         = "SK2" ;
static uint8_t StandKey3CodeName [ ] PROGMEM         = "SK3" ;
static uint8_t StandKey4CodeName [ ] PROGMEM         = "SK4" ;
static uint8_t StandKey5CodeName [ ] PROGMEM         = "SK5" ;
static uint8_t StandKey01CodeName [ ] PROGMEM        = "SK01" ;
static uint8_t StandKey02CodeName [ ] PROGMEM        = "SK02" ;
static uint8_t StandKey03CodeName [ ] PROGMEM        = "SK03" ;
static uint8_t StandKey04CodeName [ ] PROGMEM        = "SK04" ;
static uint8_t StandKey05CodeName [ ] PROGMEM        = "SK05" ;
static uint8_t StandKey12CodeName [ ] PROGMEM        = "SK12" ;
static uint8_t StandKey13CodeName [ ] PROGMEM        = "SK13" ;
static uint8_t StandKey14CodeName [ ] PROGMEM        = "SK14" ;
static uint8_t StandKey15CodeName [ ] PROGMEM        = "SK15" ;
static uint8_t StandKey23CodeName [ ] PROGMEM        = "SK23" ;
static uint8_t StandKey24CodeName [ ] PROGMEM        = "SK24" ;
static uint8_t StandKey25CodeName [ ] PROGMEM        = "SK25" ;
static uint8_t StandKey34CodeName [ ] PROGMEM        = "SK34" ;
static uint8_t StandKey35CodeName [ ] PROGMEM        = "SK35" ;
static uint8_t StandKey45CodeName [ ] PROGMEM        = "SK45" ;
static uint8_t LongKey1CodeName [ ] PROGMEM          = "LK1" ;
static uint8_t LongKey2CodeName [ ] PROGMEM          = "LK2" ;
static uint8_t LongKey3CodeName [ ] PROGMEM          = "LK3" ;
static uint8_t LongKey4CodeName [ ] PROGMEM          = "LK4" ;
static uint8_t LongKey5CodeName [ ] PROGMEM          = "LK5" ;
static uint8_t LongKey01CodeName [ ] PROGMEM         = "LK01" ;
static uint8_t LongKey02CodeName [ ] PROGMEM         = "LK02" ;
static uint8_t LongKey03CodeName [ ] PROGMEM         = "LK03" ;
static uint8_t LongKey04CodeName [ ] PROGMEM         = "LK04" ;
static uint8_t LongKey05CodeName [ ] PROGMEM         = "LK05" ;
static uint8_t LongKey12CodeName [ ] PROGMEM         = "LK12" ;
static uint8_t LongKey13CodeName [ ] PROGMEM         = "LK13" ;
static uint8_t LongKey14CodeName [ ] PROGMEM         = "LK14" ;
static uint8_t LongKey15CodeName [ ] PROGMEM         = "LK15" ;
static uint8_t LongKey23CodeName [ ] PROGMEM         = "LK23" ;
static uint8_t LongKey24CodeName [ ] PROGMEM         = "LK24" ;
static uint8_t LongKey25CodeName [ ] PROGMEM         = "LK25" ;
static uint8_t LongKey34CodeName [ ] PROGMEM         = "LK34" ;
static uint8_t LongKey35CodeName [ ] PROGMEM         = "LK35" ;
static uint8_t LongKey45CodeName [ ] PROGMEM         = "LK45" ;
#endif

#if defined(_KeyExtend_)
static uint8_t StandKey6CodeName [ ] PROGMEM         = "SK6" ;
static uint8_t StandKey7CodeName [ ] PROGMEM         = "SK7" ;
static uint8_t StandKey06CodeName [ ] PROGMEM        = "SK06" ;
static uint8_t StandKey07CodeName [ ] PROGMEM        = "SK07" ;
static uint8_t StandKey16CodeName [ ] PROGMEM        = "SK16" ;
static uint8_t StandKey17CodeName [ ] PROGMEM        = "SK17" ;
static uint8_t StandKey26CodeName [ ] PROGMEM        = "SK26" ;
static uint8_t StandKey27CodeName [ ] PROGMEM        = "SK27" ;
static uint8_t StandKey36CodeName [ ] PROGMEM        = "SK36" ;
static uint8_t StandKey37CodeName [ ] PROGMEM        = "SK37" ;
static uint8_t StandKey46CodeName [ ] PROGMEM        = "SK46" ;
static uint8_t StandKey47CodeName [ ] PROGMEM        = "SK47" ;
static uint8_t StandKey56CodeName [ ] PROGMEM        = "SK56" ;
static uint8_t StandKey57CodeName [ ] PROGMEM        = "SK57" ;
static uint8_t StandKey67CodeName [ ] PROGMEM        = "SK67" ;
static uint8_t LongKey6CodeName [ ] PROGMEM          = "LK6" ;
static uint8_t LongKey7CodeName [ ] PROGMEM          = "LK7" ;
static uint8_t LongKey06CodeName [ ] PROGMEM         = "LK06" ;
static uint8_t LongKey07CodeName [ ] PROGMEM         = "LK07" ;
static uint8_t LongKey16CodeName [ ] PROGMEM         = "LK16" ;
static uint8_t LongKey17CodeName [ ] PROGMEM         = "LK17" ;
static uint8_t LongKey26CodeName [ ] PROGMEM         = "LK26" ;
static uint8_t LongKey27CodeName [ ] PROGMEM         = "LK27" ;
static uint8_t LongKey36CodeName [ ] PROGMEM         = "LK36" ;
static uint8_t LongKey37CodeName [ ] PROGMEM         = "LK37" ;
static uint8_t LongKey46CodeName [ ] PROGMEM         = "LK46" ;
static uint8_t LongKey47CodeName [ ] PROGMEM         = "LK47" ;
static uint8_t LongKey56CodeName [ ] PROGMEM         = "LK56" ;
static uint8_t LongKey57CodeName [ ] PROGMEM         = "LK57" ;
static uint8_t LongKey67CodeName [ ] PROGMEM         = "LK67" ;
#endif

#endif
